> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conference recordings

> Lists conference recordings



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/recordings.yml get /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Recordings
openapi: 3.1.0
info:
  title: Telnyx TeXML Recordings API
  version: 2.0.0
  description: API for managing TeXML Recordings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Recordings:
    get:
      tags:
        - TeXML REST Commands
      summary: List conference recordings
      description: Lists conference recordings
      operationId: GetTexmlConferenceRecordings
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
      responses:
        '200':
          $ref: '#/components/responses/GetConferenceRecordingsResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.conferences.retrieveRecordings('conference_sid',
            {
              account_sid: 'account_sid',
            });


            console.log(response.end);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.texml.accounts.conferences.retrieve_recordings(
                conference_sid="conference_sid",
                account_sid="account_sid",
            )
            print(response.end)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Conferences.GetRecordings(\n\t\tcontext.TODO(),\n\t\t\"conference_sid\",\n\t\ttelnyx.TexmlAccountConferenceGetRecordingsParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.End)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveRecordingsParams;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveRecordingsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConferenceRetrieveRecordingsParams params = ConferenceRetrieveRecordingsParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .build();
                    ConferenceRetrieveRecordingsResponse response = client.texml().accounts().conferences().retrieveRecordings(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.conferences.retrieve_recordings("conference_sid",
            account_sid: "account_sid")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->texml->accounts->conferences->retrieveRecordings(
                'conference_sid', accountSid: 'account_sid'
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml:accounts:conferences retrieve-recordings \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
  responses:
    GetConferenceRecordingsResponse:
      description: Multiple conference recording resources.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ConferenceRecordingResourceIndex'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    ConferenceRecordingResourceIndex:
      type: object
      title: Multiple conference recording resources
      example:
        participants: []
        end: 0
        first_page_uri: >-
          /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Recordings.json?page=0&pagesize=20
        page: 0
        page_size: 20
        start: 0
        uri: >-
          /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Recordings.json?page=0&pagesize=20
      properties:
        recordings:
          type: array
          items:
            $ref: '#/components/schemas/ConferenceRecordingResource'
        end:
          type: integer
          description: The number of the last element on the page, zero-indexed.
          example: 19
        first_page_uri:
          type: string
          description: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Recordings.json?page=0&pagesize=20
          example: accepted
        next_page_uri:
          type: string
          description: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Recordings.json?Page=1&PageSize=1&PageToken=MTY4AjgyNDkwNzIxMQ
          example: accepted
        page:
          type: integer
          description: Current page number, zero-indexed.
          example: 0
        page_size:
          type: integer
          description: The number of items on the page
          example: 20
        start:
          type: integer
          description: The number of the first element on the page, zero-indexed.
          example: 0
        uri:
          type: string
          description: The URI of the current page.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Recordings.json?Page=0&PageSize=1
        participants:
          type: array
          description: List of participant resources.
          items:
            type: object
          example: []
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
    ConferenceRecordingResource:
      type: object
      title: Conference recording resource
      example:
        account_sid: 4e71926f-8f13-450e-b91c-23c2ef786aa6
        call_sid: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        channels: 1
        conference_sid: 6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f
        date_created: Fri, 27 Oct 2023 07:41:58 +0000
        date_updated: Fri, 27 Oct 2023 07:41:58 +0000
        duration: 5
        media_url: https://www.example.com/download.mp3
        sid: 136285da-4b74-46f1-a016-fe2982fa77c3
        source: StartConferenceRecordingAPI
        start_time: Fri, 27 Oct 2023 07:41:58 +0000
        status: completed
        subresource_uris:
          transcriptions: null
        uri: >-
          /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/136285da-4b74-46f1-a016-fe2982fa77c3.json
      properties:
        account_sid:
          type: string
          description: The id of the account the resource belongs to.
          example: 61bf923e-5e4d-4595-a110-56190ea18a1b
        call_sid:
          type: string
          description: The identifier of the related participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        channels:
          type: integer
          description: The number of channels in the recording.
          example: 1
        conference_sid:
          type: string
          description: The identifier of the related conference.
          example: 6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f
        date_created:
          type: string
          description: The timestamp of when the resource was created.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        date_updated:
          type: string
          description: The timestamp of when the resource was last updated.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        duration:
          type: integer
          description: Duratin of the recording in seconds.
          example: 10
        error_code:
          type: string
          description: The recording error, if any.
        media_url:
          type: string
          description: The URL to use to download the recording.
          example: https://www.example.com/download.mp3
        sid:
          type: string
          description: The unique identifier of the recording.
          example: 136285da-4b74-46f1-a016-fe2982fa77c3
        source:
          type: string
          description: How the recording was started.
          example: StartConferenceRecordingAPI
          enum:
            - DialVerb
            - Conference
            - OutboundAPI
            - Trunking
            - RecordVerb
            - StartCallRecordingAPI
            - StartConferenceRecordingAPI
        start_time:
          type: string
          description: The timestamp of when the recording was started.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        status:
          type: string
          description: The status of the recording.
          enum:
            - processing
            - absent
            - completed
            - deleted
          example: completed
        subresource_uris:
          type: object
          description: A list of related resources identified by their relative URIs.
          example:
            transcriptions: null
          additionalProperties: true
        uri:
          type: string
          description: The relative URI for this recording.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Recordings/136285da-4b74-46f1-a016-fe2982fa77c3.json
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````